
<div class="chessboard-container">


    <chessboard [possibleCoords]="(possibleMoves$ | async)!" [chessboardOrientation]="mockOrientation"></chessboard>

    <div class="piece-container" *ngFor="let piece of (pieces$ | async); index as i; let last = last">

            <pieces-z-index  class="anim"
                            [id]="piece.pieceName"
                            [style]="position(piece.coords, piece)" 
                            (click)="handleClick(piece, i)">
                <img  ondragstart="return false;" ondrop="return false;" [src]="piece.imagePath" alt="">
                <div class="empty" *ngIf="!piece.imagePath"></div>
            </pieces-z-index>

    </div>

</div>

<div class="chessboard-settings-container">
    <button mat-raised-button (click)="changeCbOrientation()" class="orientation">Change Chessboard
        orientation</button>


    <button mat-raised-button style="margin-left: 1em;" mat-button [matMenuTriggerFor]="menu">Chessboard
        theme</button>
    <mat-menu #menu="matMenu">
        <button (click)="changeChessboardTheme('blue')" mat-menu-item>blue</button>
        <button (click)="changeChessboardTheme('brown')" mat-menu-item>brown</button>
        <button (click)="changeChessboardTheme('light-green')" mat-menu-item>light-green</button>


    </mat-menu>

</div>